package com.hzya.frame.sys.versionParameter.dao;

import com.hzya.frame.sys.productVersion.entity.SysProductVersion;
import com.hzya.frame.sys.versionParameter.entity.SysVersionParameter;

import java.util.List;


/**
 * @description: 产品版本参数表  dao
 * @tableName: sys_version_parameter 
 * @entityName: SysVersionParameter
 * @author: llg
 * @history:1.0
 */
public interface ISysVersionParameterMapper {
        //通过ID获取数据    entity_get
        SysVersionParameter entity_get(Integer id);

        //查询 采用==查询   entity_list_base
        List<SysVersionParameter> entity_list_base(SysVersionParameter SysVersionParameter);

        //分页查询列表 采用like格式 entity_list_like
        List<SysVersionParameter> entity_list_like(SysVersionParameter SysVersionParameter);

        //查询列表 字段采用or格式   entity_list_or
        List<SysVersionParameter> entity_list_or(SysVersionParameter SysVersionParameter);

        //新增  entity_insert
        Integer entity_insert(SysVersionParameter SysVersionParameter);

        //修改  entity_update
        Integer entity_update(SysVersionParameter SysVersionParameter);

        //物理删除    entity_delete
        Integer entity_delete(SysVersionParameter SysVersionParameter);

        //物理删除    logicDelete_Multi_Condition
        Integer logicDelete_Multi_Condition(SysVersionParameter SysVersionParameter);
}
